<?php

namespace FiloBlu\ExtAmastyXnotif\Helper;

use Magento\Framework\App\Helper\AbstractHelper;
use Magento\Store\Model\ScopeInterface;
use Magento\Framework\Serialize\SerializerInterface;

class Data extends AbstractHelper
{

    protected $_scopeConfig;
    protected $_serializer;

    public function __construct(
        \Magento\Framework\App\Helper\Context $context,
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
        \Magento\Framework\Serialize\SerializerInterface $serializer
    ){

        $this->_serializer = $serializer;
        $this->_scopeConfig = $scopeConfig;
        parent::__construct($context);
    }

    public function getConfig() {
        $value = $this->_scopeConfig->getValue("amxnotif/attribute_in_grid/attribute");
        if ($value){
            return $this->_serializer->unserialize($value);
        }
        return "";
    }

}